/*
 * EtherPix library
 *
 * Copyright 2010-2017 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ETP_DISPLAYER_H
#define ETP_DISPLAYER_H

#include "thread.h"

/**
 * \brief output thread of displayer object
 *
 * \param[in] vp_displayer pointer to displayer object
 * \return unused, always NULL
 */
ETP_THREAD_FUNC(etp_displayer_thread);

#endif /* #ifndef ETP_DISPLAYER_H */

