/*
 * EtherPix library
 *
 * Copyright 2010-2017 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ETP_MAPPING_H
#define ETP_MAPPING_H

#include "types.h"

/**
 * \brief precalculate mapping table
 *
 * updates the internal lookup table according to the parameters
 *
 * \param[in,out] p_mapping mapping to precalculate
 */
void etp_mapping_precalc(etp_mapping_t *p_mapping);

#endif /* #ifndef ETP_MAPPING_H */

